/*
**********************************************************
EasyMap.js | takes the pain and time out of working with Google Maps

Version:		v1.1.1
Release:		May 15, 2014
Site:			http://mike-zarandona.github.io/EasyMap.js
Author:			Mike Zarandona | http://mikezarandona.com | @mikezarandona

Requirements:	jQuery, <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false"></script>

Usage:

	$('#map').easyMap({
		locationData: [
			{
				"name": "Location 1",
				"latLng": [34.010974, -84.579449],
				"address": "123 Fake Street, Anytown AB 01234",
				"content": "Location 1 description"
			},
			{
				"name": "Location 2",
				"latLng": [33.790383, -84.286035],
				"address": "234 Fake Avenue, Anycity BC 12345",
				"content": "Location 2 description"
			}
		],

		mapCenter: [33.748995, -84.387982],
		zoom: 11,

		snazzyMapsStyles: [],

		scrollwheel: false,
		disableDefaultUI: true,
		disableDoubleClickZoom: true,
		draggable: false,

		selectElement: '',
		enableLinks: false,

		markerIcon: '/path/to/marker-icon@2x.png',
		markerIconSize: [40, 65]
	});

**********************************************************
*/
var map;!function(a,b,c){a.fn.easyMap=function(d){function f(a){0==a?c.panTo(new google.maps.LatLng(d.mapCenter[0],d.mapCenter[1])):a<=d.locationData.length&&c.panTo(new google.maps.LatLng(d.locationData[a-1].latLng[0],d.locationData[a-1].latLng[1]))}if(d=a.extend({},a.fn.easyMap.options,d),""!==d.selectElement&&a(d.selectElement).on("change",function(){var b=a(this)[0].selectedIndex;f(b)}),d.enableLinks)for(var e=0;e<d.locationData.length;e++)a('[data-easymap-marker="'+e+'"]').on("click",function(){f(e)});return this.each(function(){var e={zoom:d.zoom,center:new google.maps.LatLng(d.mapCenter[0],d.mapCenter[1]),disableDefaultUI:d.disableDefaultUI,scrollwheel:d.scrollwheel,disableDoubleClickZoom:d.disableDoubleClickZoom,draggable:d.draggable,styles:d.snazzyMapsStyles},f=document.getElementById(a(this).attr("id"));c=new google.maps.Map(f,e);for(var h,i,j,g=new google.maps.InfoWindow,k=[],i=0;i<d.locationData.length;i++){if(j=new google.maps.LatLng(d.locationData[i].latLng[0],d.locationData[i].latLng[1]),""!==d.markerIcon)var l="new google.maps.MarkerImage("+d.markerIcon+", null, null, null, new google.maps.Size("+d.markerIconSize[0]+","+d.markerIconSize[1]+"))",h=new google.maps.Marker({position:j,icon:l,map:c});else var h=new google.maps.Marker({position:j,map:c});k[i]=h,google.maps.event.addListener(h,"click",function(a,e){return function(){var f="<h2>"+d.locationData[e].name+"</h2><p>"+d.locationData[e].content+"</p>";d.locationData[e].address!==b&&(f+='<p><a href="https://www.google.com/maps/preview?daddr='+d.locationData[e].address+'" target="_blank">Directions</a></p>'),g.setContent(f),g.open(c,a),c.panTo(a.position)}}(h,i))}})},a.fn.easyMap.options={locationData:[],mapCenter:[33.748995,-84.387982],zoom:11,snazzyMapsStyles:[],scrollwheel:!1,disableDefaultUI:!0,disableDoubleClickZoom:!1,draggable:!0,selectElement:"",enableLinks:!1,markerIcon:"",markerIconSize:[]}}(jQuery);
